From 1bd1344779c08666d6062ba7989380895f789b03 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 04:27:31 +0200
Subject: [PATCH 1/3] netcdf: update to 4.7.0

---
 common/shlibs           | 2 +-
 srcpkgs/netcdf/template | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 5bdd8d9832a..2c19c54d290 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -72,7 +72,7 @@ libncurses.so.6 ncurses-libs-6.0_1 ignore
 libncurses.so.5 ncurses-libs-6.0_1 ignore
 libncursesw.so.6 ncurses-libs-5.8_1 ignore
 libncursesw.so.5 ncurses-libs-5.8_1 ignore
-libnetcdf.so.13 netcdf-4.6.0_2
+libnetcdf.so.15 netcdf-4.7.0_1
 libformw.so.5 ncurses-libs-5.9_13 ignore
 libformw.so.6 ncurses-libs-5.8_1 ignore
 libpanelw.so.5 ncurses-libs-5.9_13 ignore
diff --git a/srcpkgs/netcdf/template b/srcpkgs/netcdf/template
index 2c9e3ddedbb..c308b202250 100644
--- a/srcpkgs/netcdf/template
+++ b/srcpkgs/netcdf/template
@@ -1,6 +1,6 @@
 # Template file for 'netcdf'
 pkgname=netcdf
-version=4.6.2.1
+version=4.7.0
 revision=1
 wrksrc="netcdf-c-${version}"
 build_style=gnu-configure
@@ -12,7 +12,7 @@ maintainer="Hans Grob <woufrous@gmail.com>"
 license="NetCDF"
 homepage="https://www.unidata.ucar.edu/software/netcdf/"
 distfiles="https://github.com/Unidata/netcdf-c/archive/v${version}.tar.gz"
-checksum=8a62b2b5890fef10c1e32b266924f1974ac1c153358e111e764163097b3793b0
+checksum=26d03164074363b3911ed79b7cddd045c22adf5ebaf978943db11a1d9f15e9d3
 
 post_install() {
 	# Remove references to hardening -specs.

From acaac9757bdb4d396726528ebfaa050d17b2f407 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 04:28:18 +0200
Subject: [PATCH 2/3] vtk: rebuild for netcdf-4.7.0

[ci skip]
---
 srcpkgs/vtk/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/vtk/template b/srcpkgs/vtk/template
index 75b987ad7d1..e9c6d3f60be 100644
--- a/srcpkgs/vtk/template
+++ b/srcpkgs/vtk/template
@@ -1,7 +1,7 @@
 # Template file for 'vtk'
 pkgname=vtk
 version=8.2.0
-revision=1
+revision=2
 wrksrc=VTK-${version}
 build_style=cmake
 # vtk can be huge, especially with -DVTK_BUILD_ALL_MODULES=ON"

From 6822eff43958c950d69d30d76b239af15e915b38 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sun, 5 May 2019 04:30:01 +0200
Subject: [PATCH 3/3] freecad: rebuild for netcdf-4.7.0

[ci skip]
---
 srcpkgs/freecad/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/freecad/template b/srcpkgs/freecad/template
index 6893490659a..bca430e211d 100644
--- a/srcpkgs/freecad/template
+++ b/srcpkgs/freecad/template
@@ -1,7 +1,7 @@
 # Template file for 'freecad'
 pkgname=freecad
 version=0.18.1
-revision=1
+revision=2
 wrksrc="FreeCAD-${version}"
 build_style=cmake
 
